Name:           gpars
Version:        1.2.1
Release:        12.0.riscv64%{?dist}
Summary:        Groovy Parallel Systems
License:        ASL 2.0 and Public Domain
URL:            http://gpars.codehaus.org
BuildArch:      noarch

# ./generate-tarball.sh %{version}
Source0:        %{name}-%{version}.tar.bz2
Source1:        http://www.apache.org/licenses/LICENSE-2.0.txt
Source2:        generate-tarball.sh

Patch0:         0001-JSR-166.patch
Patch1:         0002-Enable-XMvn-local-mode.patch
Patch2:         0003-Port-build-script-to-current-gradle.patch
#Patch3:         gpars-1.2.1-port-to-netty-3.10.6.patch
Patch4:		disable-netty.patch

BuildRequires:  gradle-local >= 2.1-0.10
BuildRequires:  apache-parent
BuildRequires:  extra166y
BuildRequires:  jcsp
#BuildRequires:  netty3
BuildRequires:  groovy-lib
BuildRequires:  multiverse

%description
The GPars framework offers Java developers intuitive and safe ways to
handle Java or Groovy tasks concurrently. Leveraging the enormous
flexibility of the Groovy programming language and building on proven
Java technologies, we aim to make concurrent programming for
multi-core hardware intuitive, robust and enjoyable.

GPars is a multi-paradigm concurrency framework, offering several
mutually cooperating high-level concurrency abstractions, such as
Dataflow operators, Promises, CSP, Actors, Asynchronous Functions,
Agents and Parallel Collections.

%prep
%setup -q
cp %{SOURCE1} .
rm -rf lib/ gradle/wrapper/
rm -rf src/main/groovy/groovyx/gpars/extra166y/
%patch0 -p1
%patch1 -p1
%patch2 -p1
#patch3 -p1
%patch4 -p1

%build
%gradle_build -f

%install
%mvn_install

%files -f .mfiles
%doc README.md
%license LICENSE-2.0.txt

%changelog
* Wed Sep 12 2018 David Abdurachmanov <david.abdurachmanov@gmail.com> - 1.2.1-12.0.riscv64
- Disable netty3 for RISC-V (bootstrap only)

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Oct 09 2017 Michael Simacek <msimacek@redhat.com> - 1.2.1-10
- Fix build with current gradle

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Dec 27 2016 gil cattaneo <puntogil@libero.it> 1.2.1-7
- build fix for netty 3.10.6.Final

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Oct 28 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.1-5
- Build with %%gradle_build

* Tue Jun 16 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.1-4
- Use gradle-local script for building

* Mon Mar 30 2015 Michael Simacek <msimacek@redhat.com> - 1.2.1-3
- Port build script to current gradle

* Mon Feb  2 2015 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.1-2
- Use generic netty3 compat version
- Resolves: rhbz#1187710

* Wed Nov 19 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.1-1
- Non-bootstrap build

* Wed Nov 19 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.1-0.8
- Bootstrap build using prebuilt binaries

* Mon Nov 17 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.1-0.7
- Include generate-tarball.sh as a source

* Mon Nov 17 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.1-0.6
- Remove gradle-wrapper bundled JAR
- Fix spelling error
- Fix ownership of created directories
- Unbuldle extra166y
- Remove non-free content from source tarball

* Sun Nov  9 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.1-0.5
- Add BR on apache-parent

* Sun Nov  9 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.1-0.4
- Use XMvn resolver factory method

* Sun Nov  9 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.1-0.3
- Install Apache License text

* Sun Nov  9 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.1-0.2
- Install generated POM instead of prebuilt one

* Tue Nov  4 2014 Mikolaj Izdebski <mizdebsk@redhat.com> - 1.2.1-0.1
- Initial packaging
